Main Page Modules Data Structures File List Data Fields Globals Related Pages

# popt/poptparse.c File Reference

More...

`#include "system.h"`

Go to the source code of this file.

## Defines
#define | POPT_ARGV_ARRAY_GROW_DELTA 5
## Functions
int | poptDupArgv (int argc, const char **argv, int *argcPtr, const char ***argvPtr)
int | poptParseArgvString (const char *s, int *argcPtr, const char ***argvPtr)
int | poptConfigFileToString (FILE *fp, char **argstrp, int flags)

## Detailed Description

Definition in file poptparse.c.

## Define Documentation

#define POPT_ARGV_ARRAY_GROW_DELTA 5

| Definition at line 11 of file poptparse.c. Referenced by poptParseArgvString.

## Function Documentation

int poptConfigFileToString | ( | FILE * | fp,
|  | char ** | argstrp,
|  | int | flags
| ) |

| Definition at line 129 of file poptparse.c.

int poptDupArgv | ( | int | argc,
|  | const char ** | argv,
|  | int * | argcPtr,
|  | const char *** | argvPtr
| ) |

| Definition at line 14 of file poptparse.c. Referenced by handleAlias, poptParseArgvString, and poptStuffArgs.

int poptParseArgvString | ( | const char * | s,
|  | int * | argcPtr,
|  | const char *** | argvPtr
| ) |

| Definition at line 57 of file poptparse.c. References alloca, POPT_ARGV_ARRAY_GROW_DELTA, and poptDupArgv. Referenced by addOrAppendListEntry, checkFiles, checkPassPhrase, configLine, doScript, doSetupMacro, generateDepends, handlePreambleTag, ignoreDep, makeGPGSignature, makePGPSignature, open_dso, parseDescription, parseFiles, parseScript, and rpmGlob.